# Jobs

The _jobs_ endpoint provides access to comprehensive information 
about a person's employment. It enables you to retrieve details about
individual jobs, including information about the organization
they work for, status, wage rate, job title, location,
paycheck settings, and related links to associated accounts.


## Get a job object

 - [GET /rest/jobs/{job_id}](https://developer.dailypay.com/products/rest/reference/jobs/readjob.md): Returns details about a person's employment.

## Update paycheck settings or deactivate a job

 - [PATCH /rest/jobs/{job_id}](https://developer.dailypay.com/products/rest/reference/jobs/updatejob.md): Update this job to set where pay should be deposited for paychecks related to this job,  or deactivate on-demand pay for this job. 
Returns the job object if the update succeeded. Returns an error if update parameters are invalid.

## Get a list of job objects

 - [GET /rest/jobs](https://developer.dailypay.com/products/rest/reference/jobs/listjobs.md): Returns a collection of job objects. This object represents a person's employment details.

